# `taurus.cli`

This module provides the taurus Command Line Interface

It is based on the click module to provide CLI utilities.

It defines a taurus command which can accept subcommands defined in other taurus submodules or even in 3rd party plugins.

To define a subcommand for taurus, you need to register it in the taurus.cli.subcommands entry point group via setuptools.

Todo

add click link , add code snippet for plugins, etc.

This module provides also common options/flags for command-line interfaces that can be used by taurus plugins. For list of available options, see `taurus.cli.common`

See also

`taurus.cli.alt`

Submodules

- `taurus.cli.alt`
- `taurus.cli.common`

Functions

main()

  Register subcommands and run taurus_cmd

register_subcommands()

  Discover and add subcommands to taurus_cmd

Variables

taurus_cmd